%define anolis_release 2

Name:           perl-XML-Parser
Version:        2.46
Release:        %{anolis_release}%{?dist}
Summary:        A perl module for parsing XML documents
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
Url:            https://metacpan.org/release/XML-Parser
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TODDR/XML-Parser-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc make pkgconfig(expat) glibc-common
BuildRequires:  perl-devel perl-generators perl-interpreter perl(Config)
BuildRequires:  perl(IO::Handle) perl(IO::File) perl(overload) perl(XSLoader)
BuildRequires:  perl(Carp) perl(FileHandle) perl(File::Spec) perl(if)
BuildRequires:  perl(URI::file) perl(URI) perl(LWP::UserAgent) perl(strict)
BuildRequires:  perl(lib) perl(English) perl(Devel::CheckLib) perl(ExtUtils::MakeMaker) >= 6.76
# Tests
BuildRequires:  perl(if) perl(Test) perl(Test::More) perl(warnings)

Requires:       perl(IO::File) perl(IO::Handle)

%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(XML::Parser\\)$

%description
The perl-XML-Parser module is a Perl interface to James Clark’s XML parser, expat. It provides 
a Perl interface to the Expat XML parsing library. The module provides a simple way to parse 
XML documents. It is built on top of the XML::Parser module that implements an interface to expat. 

The XML::Parser module provides a way to parse XML documents using an event-driven model. 
The parser is implemented as a Perl wrapper around expat, which is written in C. The module 
provides a simple way to parse XML documents and extract information from them .

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n XML-Parser-%{version} -p1
chmod 644 samples/{canonical,xml*}
perl -MConfig -pi -e 's|^#!/usr/local/bin/perl\b|$Config{startperl}|' samples/{canonical,xml*}

rm -r inc
perl -i -ne 'print $_ unless m{^inc/}' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%{make_build}

%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -a -size 0 -delete
%{_fixperms} %{buildroot}/*

for file in samples/REC-xml-19980210.xml; do
  iconv -f iso-8859-1 -t utf-8 < "$file" > "${file}_"
  mv -f "${file}_" "$file"
  perl -i -pe "s/encoding='ISO-8859-1'/encoding='UTF-8'/" "$file"
done

%check
make test

%files
%{perl_vendorarch}/auto/XML/
%{perl_vendorarch}/XML/
%{_mandir}/man3/*.3*

%files doc
%doc Changes README samples/

%changelog
* Thu Apr 13 2023 yuanhui <yuanhui@linux.alibaba.com> - 2.46-2
- Optimize the spec file

* Thu Feb 02 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.46-1
- init from upstream
